package de.ivu.elect.business.ergebnis.entity;

import de.ivu.elect.jee.presentation.dynamicform.Property;

@javax.enterprise.inject.Vetoed
public class SitzeProperties
{

private final Sitze entity;


    
    private
                de.ivu.elect.jee.presentation.dynamicform.LambdaLongProperty
                  anzahlProperty;

        
        
    private
                de.ivu.elect.jee.presentation.dynamicform.LambdaLongProperty
                  anzahlAnspruchProperty;

        
    

public SitzeProperties(Sitze entity) {
this.entity = entity;

}

private static SitzeMeta getMetaData() {
return de.ivu.elect.jee.cdi.BeanManagerUtil.getBeanByClass( SitzeMeta.class);
}


    

        public
                    de.ivu.elect.jee.presentation.dynamicform.AbstractLongProperty
                getAnzahlProperty() {
        if (anzahlProperty == null) {
        anzahlProperty = new


                    de.ivu.elect.jee.presentation.dynamicform.LambdaLongProperty
        
        (
        getMetaData().getAnzahlEinzahlMessage(),
        getMetaData().getAnzahlDefaultValue(),
        getMetaData().isAnzahlRequired(),
                entity::setAnzahl,
        entity::getAnzahl

                    ,de.ivu.elect.business.ergebnis.entity.SitzeConstants.ANZAHL_MIN_VALUE
            ,de.ivu.elect.business.ergebnis.entity.SitzeConstants.ANZAHL_MAX_VALUE
                           );

        }


        return anzahlProperty;
        }





        
        

        public
                    de.ivu.elect.jee.presentation.dynamicform.AbstractLongProperty
                getAnzahlAnspruchProperty() {
        if (anzahlAnspruchProperty == null) {
        anzahlAnspruchProperty = new


                    de.ivu.elect.jee.presentation.dynamicform.LambdaLongProperty
        
        (
        getMetaData().getAnzahlAnspruchEinzahlMessage(),
        getMetaData().getAnzahlAnspruchDefaultValue(),
        getMetaData().isAnzahlAnspruchRequired(),
                entity::setAnzahlAnspruch,
        entity::getAnzahlAnspruch

                    ,de.ivu.elect.business.ergebnis.entity.SitzeConstants.ANZAHL_ANSPRUCH_MIN_VALUE
            ,de.ivu.elect.business.ergebnis.entity.SitzeConstants.ANZAHL_ANSPRUCH_MAX_VALUE
                           );

        }


        return anzahlAnspruchProperty;
        }





        
        }